| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 11. The Tilt Intonation Model | Next

# Tilt functions

> Functions for:

> - Generating RFC and Tilt parameters from F0 contours

> - Converting RFC to Tilt parameters and vice-versa

> - Synthesizing F0 contours from RFC and Tilt events

> ## EST_SMatrix()

> `` | `EST_SMatrix` | `(` | `int m, int n)`

> size constructor

> ## EST_SMatrix()

> `` | `EST_SMatrix` | `(` | `EST_SMatrix &a)`

> copy constructor

> ## EST_SMatrix()

> `` | `EST_SMatrix` | `(` | `EST_SMatrix &a, int b)`

> CHECK - what does this do???

> ## EST_SMatrix()

> `` | `EST_SMatrix` | `(` | `)`

> default constructor

> ## default_rfc_params()

> `void` | `default_rfc_params` | `(` | `EST_Features &op)`

> Fill op with sensible default parameters for RFC analysis

> ## rfc_analysis()

> `void` | `rfc_analysis` | `(` | `EST_Track &fz, EST_Relation &event_list, EST_Features &op)`

> Produce a set of RFC parameterized events given approximate event boundaries and a smoothed F0 contour. See the section called Producing an RFC representation from an utterance's events and F0 contour for a description of this process.

> > Parameters
> > f0 | Smoothed continuous F0 contour. An error will occur if any unvoiced regions are detected in the contour. Use the function smoooth_pda to smooth and interpolate a normal contour.
> > ev_list | list of events, each containing approximate start and end times of the events. On completion each event in this list will have a set of RFC parameters.
> > op | parameters used to control analysis process.

> ## tilt_analysis()

> `void` | `tilt_analysis` | `(` | `EST_Track &fz, EST_Relation &event_list, EST_Features &op)`

> Fill op with sensible default parameters for RFC analysis

> ## fill_rise_fall_values()

> `void` | `fill_rise_fall_values` | `(` | `EST_Track &fz, float amp, float start_f0)`

> Fill op with sensible default parameters for RFC analysis

> ## rfc_synthesis()

> `void` | `rfc_synthesis` | `(` | `EST_Track &f0, EST_Relation &ev_list, float f_shift, int no_conn)`

> Generate an F0 contour given a list RFC events.

> > Parameters
> > f0 | Generated F0 contour
> > ev_list | list of events, each containing a set of RFC parameters
> > f_shift | frame shift in seconds of the generated contour
> > no_conn | Do not join events with straight lines if set to 1

> ## tilt_synthesis()

> `void` | `tilt_synthesis` | `(` | `EST_Track &track, EST_Relation &ev_list, float f_shift, int no_conn)`

> Generate an F0 contour given a list Tilt events.

> This function simply calls \Ref{tilt_to_rfc} followed by \Ref{rfc_synthesis}.

> > Parameters
> > f0 | Generated F0 contour
> > ev_list | list of events, each containing a set of Tilt parameters
> > f_shift | frame shift in seconds of the generated contour
> > no_conn | Do not join events with straight lines if set to 1

> ## tilt_to_rfc()

> `void` | `tilt_to_rfc` | `(` | `EST_Features &tilt, EST_Features &rfc)`

> Convert a single set of local tilt parameters to local RFC parameters. `amp`

> > Parameters
> > tilt | input tilt paramaters, named <parameter>amp</parameter>, <parameter>dur</parameter> and <parameter>tilt</parameter>
> > rfc | output RFC parameters, name <parameter>rise_amp</parameter>, <parameter>fall_amp</parameter>, <parameter>rise_dur</parameter> and <parameter>fall_dur</parameter>

> ## rfc_to_tilt()

> `void` | `rfc_to_tilt` | `(` | `EST_Features &rfc, EST_Features &tilt)`

> Convert a single set of local RFC parameters to local tilt parameters. See the section called RFC to F0 Synthesis for a description of how this is performed.

> ``

> > Parameters
> > rfc | input RFC parameters, named <parameter> rise_amp</parameter>, <parameter>fall_amp</parameter>, <parameter>rise_dur</parameter> and<parameter> fall_dur</parameter>
> > tilt | output tilt paramaters, named <parameter>amp</parameter>, <parameter>dur</parameter> and <parameter>tilt</parameter>

> ## tilt_to_rfc()

> `void` | `tilt_to_rfc` | `(` | `EST_Relation &ev_tilt)`

> For each tilt events in ev_tilt, produce a set of RFC parameters. The tilt parameters are stored as the following features in the event:

> - tilt.amp
> - tilt.dur
> - tilt.tilt

> A set of features with the following names are created:

> - rfc.rise_amp
> - rfc.rise_dur
> - rfc.fall_amp
> - rfc.fall_dur

> The original tilt features are not deleted.

> ## rfc_to_tilt()

> `void` | `rfc_to_tilt` | `(` | `EST_Relation &ev_rfc)`

> For each tilt events in ev_rfc, produce a set of Tiltparameters. The RFC parameters are stored as the following features in the event:

> - rfc.rise_amp
> - rfc.rise_dur
> - rfc.fall_amp
> - rfc.fall_dur

> A set of features with the following names are created:

> - tilt.amp
> - tilt.dur
> - tilt.tilt

> The original RFC features are not deleted.

Prev | Home | Next
Exectuable Programs | Up | Shared Libraries and GCC